package com.yonge.cooleshow.biz.dal.dto.req;


import com.yonge.cooleshow.biz.dal.enums.AuthStatusEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * Description 曲目审核参数
 *
 * @author liujunchi
 * @date 2022-04-02
 */
@ApiModel(value = "TeacherMusicSheetAuditReq对象", description = "曲目审核")
public class TeacherMusicSheetAuditReq {

    @ApiModelProperty(value = "曲目id",required = true)
    @NotNull(message = "曲目id不能为空 ")
    private Long musicSheetId;

    @ApiModelProperty(value = "审批状态（PASS：通过，UNPASS：不通过）",required = true)
    @NotNull(message = "审批状态不为空 ")
    private AuthStatusEnum authStatus;

    @ApiModelProperty(value = "审核理由",required = true)
    @NotBlank(message = "审核理由不能为空 ")
    private String remark;

    public Long getMusicSheetId() {
        return musicSheetId;
    }

    public void setMusicSheetId(Long musicSheetId) {
        this.musicSheetId = musicSheetId;
    }

    public AuthStatusEnum getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(AuthStatusEnum authStatus) {
        this.authStatus = authStatus;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
